CHIP_TARGET_ARCH := armv7m

CHIP_DEFS += CHIP_CORETYPE_CM3 ARM_MATH_CM3

CHIP_CORE_FLAGS = -mcpu=cortex-m3 -mthumb -mfloat-abi=soft

CHIP_CFLAGS  += $(CHIP_CORE_FLAGS)
CHIP_ASFLAGS += $(CHIP_CORE_FLAGS)
CHIP_LDFLAGS += $(CHIP_CORE_FLAGS)
